// Persistence of Vision Ray Tracer Scene Description File
// File: blob2.pov
// Vers: 3.1
// Auth: Porrey

global_settings { assumed_gamma 2.2 }
#default { pigment { color rgb 1 } finish { ambient .4 diffuse .6 phong 1 } }

#include "colors.inc"
#include "textures.inc"
#include "shapes.inc"
#include "rp.inc" // rp2.inc = Bestandteil von rp.inc
#include "golds.inc"
#include "metals.inc"

light_source	{ < -1000, 1000,-1000 > Weiss }
light_source	{ <  1000,-1000,-1000 > Weiss*0.25 }

//background { color rgb < 1, .8, .6 > }

sky_sphere { pigment { gradient y // turbulence .2
 color_map { [0 White*.75 ] [1 Cyan*.2 ] } /* scale .001*/ } rotate z*45 }

//Seitenverhltnis x:y = 1:1!
camera {location <0,0,-3800> direction z*1000
	up y right x look_at 0 }
/*	
//a (Seitenlnge)             = 0.81
//h (Hhe)       = a/2*Wurzel3=0.7014805770654
//m (Mitte)      = h*2/3      =0.4676537180433
 
//a (Seitenlnge)             = 0.8 
//h (Hhe)       = a/2*Wurzel3=0.6928203230276
//m (Mitte)      = h*2/3      =0.4618802153517

#declare Wert1 = 360/6;
#declare Wert2 = 0.8;
//6=.8; bei treshold=.8 und  strength=.67
#declare Staerke = .67;

blob { threshold 0.8
 sphere { 0, .67, 1 rotate z*-Wert1*1 pigment { Rot } }
 sphere { y*Wert2, Staerke, 1 rotate z*-Wert1*1 pigment { Rot_Gelb } }
 sphere { y*Wert2, Staerke, 1 rotate z*-Wert1*2 pigment { Rot_Gelb } }
 sphere { y*Wert2, Staerke, 1 rotate z*-Wert1*3 pigment { Rot_Gelb } }
 sphere { y*Wert2, Staerke, 1 rotate z*-Wert1*4 pigment { Rot_Gelb } }
 sphere { y*Wert2, Staerke, 1 rotate z*-Wert1*5 pigment { Rot_Gelb } }
 sphere { y*Wert2, Staerke, 1 rotate z*-Wert1*6 pigment { Rot_Gelb } }

 sphere { y*Wert2*1.73, Staerke, 1 rotate z*-Wert1*1.5 pigment { Gelb } }
 sphere { y*Wert2*1.73, Staerke, 1 rotate z*-Wert1*2.5 pigment { Gelb } }
 sphere { y*Wert2*1.73, Staerke, 1 rotate z*-Wert1*3.5 pigment { Gelb } }
 sphere { y*Wert2*1.73, Staerke, 1 rotate z*-Wert1*4.5 pigment { Gelb } }
 sphere { y*Wert2*1.73, Staerke, 1 rotate z*-Wert1*5.5 pigment { Gelb } }
 sphere { y*Wert2*1.73, Staerke, 1 rotate z*-Wert1*6.5 pigment { Gelb } }

 sphere { y*Wert2*2, Staerke, 1 rotate z*-Wert1*1 pigment { Gelb } }
 sphere { y*Wert2*2, Staerke, 1 rotate z*-Wert1*2 pigment { Gelb } }
 sphere { y*Wert2*2, Staerke, 1 rotate z*-Wert1*3 pigment { Gelb } }
 sphere { y*Wert2*2, Staerke, 1 rotate z*-Wert1*4 pigment { Gelb } }
 sphere { y*Wert2*2, Staerke, 1 rotate z*-Wert1*5 pigment { Gelb } }
 sphere { y*Wert2*2, Staerke, 1 rotate z*-Wert1*6 pigment { Gelb } }
  
rotate z*30 }
*/
/*
//a (Seitenlnge)             = 0.81
//h (Hhe)       = a/2*Wurzel3=0.7014805770654
//m (Mitte)      = h*2/3      =0.4676537180433
 
//a (Seitenlnge)             = 0.8 
//h (Hhe)       = a/2*Wurzel3=0.6928203230276
//m (Mitte)      = h*2/3      =0.4618802153517

//#declare Wert3 = .81; // Seitenlnge (threshold 0.8 strength .67)
//#declare Wert4 = .7014805770654; // Hhe (threshold 0.8 strength .67)
//#declare Wert3 = .8 ; // Seitenlnge (threshold 0.8 strength .67)
//#declare Wert4 = .6928203230276; // Hhe (threshold 0.8 strength .67)

//#declare Wert3 = .83 ; // Seitenlnge (threshold 0.75 strength .67)
//#declare Wert4 = .7188010851411; // Hhe (threshold 0.75 strength .67)
#declare Wert3 = .81; // Seitenlnge (threshold 0.75 strength .67)
#declare Wert4 = .7014805770654; // Hhe (threshold 0.75 strength .67)

#declare Staerke1 = .60; //.63... .68, def .67, zusammen bei .661 - .6615
#declare Staerke2 = .60;
#declare Staerke3 = .60; //Trennung .6430- .6460 (wenn 1+2 bei .67 bleibt)
#declare Dreh = 14; // bis 15 (je 12 Grad bis 180)

//Bild  01  02  03  04  05  06  07   08    09    10    11   12  13  14  15  16(=01)
//Dreh  00  01  02  03  04  05  06   07    08    09    10   11  12  13  14  15(=0)
//Wert .60 .61 .62 .63 .64 .65 .66 .6605 .6610 .6615 .6620 .67 .68 .69 .70 .70 

//Bild  01  02  03  04  05  06  07   08   09   10   11  12  13  14  15  16(=01)
//Dreh  15  01  02  03  04  05  06   07   08   09   10  11  12  13  14  15(=0)
//Wert .70 .69 .68 .67 .66 .65 .646 .645 .644 .643 .64 .63 .62 .61 .60 .60

//Bild  01  02  03  04   05    06    07    08   09  10  11  12  13  14  15  16(=01)
//Dreh  00  01  02  03   04    05    06    07   08  09  10  11  12  13  14  15(=0)
//Wert .70 .69 .68 .67 .6620 .6615 .6610 .6605 .66 .65 .64 .63 .62 .61 .60 .60

blob { threshold 0.75
 sphere { < Wert3*0 , Wert4*0, 0 >, Staerke1, 1  pigment { Gelb } }
// sphere { < Wert3*1 , Wert4*0, 0 >, Staerke2, 1  pigment { Rot_Gelb } }
// sphere { < Wert3*-1, Wert4*0, 0 >, Staerke2, 1  pigment { Rot_Gelb } }

 sphere { < Wert3*.5 , Wert4*1 , 0 >, Staerke2, 1  pigment { Gruen } }
 sphere { < Wert3*-.5, Wert4*1 , 0 >, Staerke2, 1  pigment { Gruen } }
 sphere { < Wert3*.5 , Wert4*-1, 0 >, Staerke2, 1  pigment { Gruen } }
 sphere { < Wert3*-.5, Wert4*-1, 0 >, Staerke2, 1  pigment { Gruen } }
 sphere { < Wert3*.5 , Wert4*0,-Wert4*1 >, Staerke2, 1  pigment { Gruen } }
 sphere { < Wert3*-.5, Wert4*0,-Wert4*1 >, Staerke2, 1  pigment { Gruen } }
 sphere { < Wert3*.5 , Wert4*0, Wert4*1 >, Staerke2, 1  pigment { Gruen } }
 sphere { < Wert3*-.5, Wert4*0, Wert4*1 >, Staerke2, 1  pigment { Gruen } }

 sphere { < Wert3*0 , Wert4*1, -Wert4*1 >, Staerke3, 1  pigment { Hellblau } }
 sphere { < Wert3*0 , Wert4*1,  Wert4*1 >, Staerke3, 1  pigment { Rot } }
 sphere { < Wert3*0 , Wert4*-1,-Wert4*1 >, Staerke3, 1  pigment { Rot } }
 sphere { < Wert3*0 , Wert4*-1, Wert4*1 >, Staerke3, 1  pigment { Hellblau } }
rotate x*12*Dreh
rotate < -25, 45, 0.0 >
}
*/

//a (Seitenlnge)             = 0.8 
//h (Hhe)       = a/2*Wurzel3=0.6928203230276
//m (Mitte)      = h*2/3      =0.4618802153517

#declare Wert1 = 0.8;
#declare Hoehe = 0.6928203230276;
//6=.8; bei treshold=.8 und  strength=.67
#declare Staerke = .6647; //.63... .68, def .67, zusammen bei .6645
#declare P1 = texture { T_Gold_5E }
#declare P2 = texture { T_Silver_5E }
#declare P3 = texture { T_Gold_5E }

blob { threshold 0.8
 
 sphere { < 0,       0, 0>, Staerke, 1 texture { P1 } }
 sphere { < Wert1,   0, 0>, Staerke, 1 texture { P2 } }
 sphere { <-Wert1,   0, 0>, Staerke, 1 texture { P2 } }
 sphere { < Wert1*2, 0, 0>, Staerke, 1 texture { P3 } }
 sphere { <-Wert1*2, 0, 0>, Staerke, 1 texture { P3 } }

 sphere { < Wert1*.5,  Hoehe, 0>, Staerke, 1 texture { P2 } }
 sphere { <-Wert1*.5,  Hoehe, 0>, Staerke, 1 texture { P2 } }
 sphere { < Wert1*1.5, Hoehe, 0>, Staerke, 1 texture { P3 } }
 sphere { <-Wert1*1.5, Hoehe, 0>, Staerke, 1 texture { P3 } }

 sphere { < Wert1*.5, -Hoehe, 0>, Staerke, 1 texture { P2 } }
 sphere { <-Wert1*.5, -Hoehe, 0>, Staerke, 1 texture { P2 } }
 sphere { < Wert1*1.5,-Hoehe, 0>, Staerke, 1 texture { P3 } }
 sphere { <-Wert1*1.5,-Hoehe, 0>, Staerke, 1 texture { P3 } }

 sphere { <0,      Hoehe*2, 0>, Staerke, 1 texture { P3 } }
 sphere { < Wert1, Hoehe*2, 0>, Staerke, 1 texture { P3 } }
 sphere { <-Wert1, Hoehe*2, 0>, Staerke, 1 texture { P3 } }

 sphere { <0,     -Hoehe*2, 0>, Staerke, 1 texture { P3 } }
 sphere { < Wert1,-Hoehe*2, 0>, Staerke, 1 texture { P3 } }
 sphere { <-Wert1,-Hoehe*2, 0>, Staerke, 1 texture { P3 } }
 
}