// Persistence of Vision Ray Tracer Scene Description File
// File: blob5a.pov
// Vers: 3.1
// Auth: Porrey

global_settings { assumed_gamma 2.2 }
#default { pigment { color rgb 1 } finish { ambient .4 diffuse .6 phong 1 } }

#include "colors.inc"
#include "textures.inc"
#include "shapes.inc"
#include "rp.inc" // rp2.inc = Bestandteil von rp.inc
#include "golds.inc"
#include "metals.inc"

//light_source	{ < -1000, 1000,-1000 > Weiss }
//light_source	{ <  1000,-1000,-1000 > Weiss*0.25 }
light_source	{ <  0,0,1 > Weiss }

//#include "skies.inc"
//sky_sphere { S_Cloud2 rotate x*35}

camera {location <0,0,-3.6> direction z*1
	up y right x*4/3 look_at 0 }

//a (Seitenlnge)             = 0.8 
//h (Hhe)       = a/2*Wurzel3=0.6928203230276
//m (Mitte)      = h*2/3      =0.4618802153517

#declare Wert1 = 0.8;
#declare Hoehe = 0.6928203230276;
//6=.8; bei treshold=.8 und  strength=.67

#declare Staerke = .6645; //.63... .68, def .67, zusammen bei .6645

#declare P1 = texture { T_Silver_3B }
#declare P2 = texture { T_Gold_1A }
#declare P3 = texture { T_Copper_1A }

blob { threshold 0.8

#declare Count1 = Wert1*-5; // Wert1*-5;
#while (Count1 < Wert1*20) //*5)
 
   sphere { <-Wert1*2  , 0      , Count1>, Staerke, 1 texture { P1 } }
   sphere { <-Wert1*1  , 0      , Count1>, Staerke, 1 texture { P2 } }
// sphere { < 0        , 0      , Count1>, Staerke, 1 texture { P3 } }
   sphere { < Wert1*1  , 0      , Count1>, Staerke, 1 texture { P1 } }
   sphere { < Wert1*2  , 0      , Count1>, Staerke, 1 texture { P2 } }

   sphere { <-Wert1*2.5, Hoehe*1, Count1>, Staerke, 1 texture { P2 } }
// sphere { <-Wert1*1.5, Hoehe*1, Count1>, Staerke, 1 texture { P3 } }
   sphere { <-Wert1*.5 , Hoehe*1, Count1>, Staerke, 1 texture { P1 } }
   sphere { < Wert1*.5 , Hoehe*1, Count1>, Staerke, 1 texture { P2 } }
// sphere { < Wert1*1.5, Hoehe*1, Count1>, Staerke, 1 texture { P3 } }
   sphere { < Wert1*2.5, Hoehe*1, Count1>, Staerke, 1 texture { P1 } }

   sphere { <-Wert1*2.5,-Hoehe*1, Count1>, Staerke, 1 texture { P2 } }
// sphere { <-Wert1*1.5,-Hoehe*1, Count1>, Staerke, 1 texture { P3 } }
   sphere { <-Wert1*.5 ,-Hoehe*1, Count1>, Staerke, 1 texture { P1 } }
   sphere { < Wert1*.5 ,-Hoehe*1, Count1>, Staerke, 1 texture { P2 } }
// sphere { < Wert1*1.5,-Hoehe*1, Count1>, Staerke, 1 texture { P3 } }
   sphere { < Wert1*2.5,-Hoehe*1, Count1>, Staerke, 1 texture { P1 } }

   sphere { <-Wert1*2  , Hoehe*2, Count1>, Staerke, 1 texture { P1 } }
   sphere { <-Wert1*1  , Hoehe*2, Count1>, Staerke, 1 texture { P2 } }
// sphere { < 0        , Hoehe*2, Count1>, Staerke, 1 texture { P3 } }
   sphere { < Wert1*1  , Hoehe*2, Count1>, Staerke, 1 texture { P1 } }
   sphere { < Wert1*2  , Hoehe*2, Count1>, Staerke, 1 texture { P2 } }
 
   sphere { <-Wert1*2  ,-Hoehe*2, Count1>, Staerke, 1 texture { P1 } }
   sphere { <-Wert1*1  ,-Hoehe*2, Count1>, Staerke, 1 texture { P2 } }
// sphere { < 0        ,-Hoehe*2, Count1>, Staerke, 1 texture { P3 } }
   sphere { < Wert1*1  ,-Hoehe*2, Count1>, Staerke, 1 texture { P1 } }
   sphere { < Wert1*2  ,-Hoehe*2, Count1>, Staerke, 1 texture { P2 } }

   sphere { <-Wert1*.5 , Hoehe*3, Count1>, Staerke, 1 texture { P1 } }
   sphere { < Wert1*.5 , Hoehe*3, Count1>, Staerke, 1 texture { P2 } }

   sphere { <-Wert1*.5 ,-Hoehe*3, Count1>, Staerke, 1 texture { P1 } }
   sphere { < Wert1*.5 ,-Hoehe*3, Count1>, Staerke, 1 texture { P2 } }
 
//********************************************************//

sphere { <-Wert1*2  , 0      , Count1+Wert1>, Staerke, 1 texture { P2 } }
   sphere { <-Wert1*1  , 0      , Count1+Wert1>, Staerke, 1 texture { P1 } }
// sphere { < 0        , 0      , Count1+Wert1>, Staerke, 1 texture { P3 } }
   sphere { < Wert1*1  , 0      , Count1+Wert1>, Staerke, 1 texture { P2 } }
   sphere { < Wert1*2  , 0      , Count1+Wert1>, Staerke, 1 texture { P1 } }

   sphere { <-Wert1*2.5, Hoehe*1, Count1+Wert1>, Staerke, 1 texture { P1 } }
// sphere { <-Wert1*1.5, Hoehe*1, Count1+Wert1>, Staerke, 1 texture { P3 } }
   sphere { <-Wert1*.5 , Hoehe*1, Count1+Wert1>, Staerke, 1 texture { P2 } }
   sphere { < Wert1*.5 , Hoehe*1, Count1+Wert1>, Staerke, 1 texture { P1 } }
// sphere { < Wert1*1.5, Hoehe*1, Count1+Wert1>, Staerke, 1 texture { P3 } }
   sphere { < Wert1*2.5, Hoehe*1, Count1+Wert1>, Staerke, 1 texture { P2 } }

   sphere { <-Wert1*2.5,-Hoehe*1, Count1+Wert1>, Staerke, 1 texture { P1 } }
// sphere { <-Wert1*1.5,-Hoehe*1, Count1+Wert1>, Staerke, 1 texture { P3 } }
   sphere { <-Wert1*.5 ,-Hoehe*1, Count1+Wert1>, Staerke, 1 texture { P2 } }
   sphere { < Wert1*.5 ,-Hoehe*1, Count1+Wert1>, Staerke, 1 texture { P1 } }
// sphere { < Wert1*1.5,-Hoehe*1, Count1+Wert1>, Staerke, 1 texture { P3 } }
   sphere { < Wert1*2.5,-Hoehe*1, Count1+Wert1>, Staerke, 1 texture { P2 } }

   sphere { <-Wert1*2  , Hoehe*2, Count1+Wert1>, Staerke, 1 texture { P2 } }
   sphere { <-Wert1*1  , Hoehe*2, Count1+Wert1>, Staerke, 1 texture { P1 } }
// sphere { < 0        , Hoehe*2, Count1+Wert1>, Staerke, 1 texture { P3 } }
   sphere { < Wert1*1  , Hoehe*2, Count1+Wert1>, Staerke, 1 texture { P2 } }
   sphere { < Wert1*2  , Hoehe*2, Count1+Wert1>, Staerke, 1 texture { P1 } }
 
   sphere { <-Wert1*2  ,-Hoehe*2, Count1+Wert1>, Staerke, 1 texture { P2 } }
   sphere { <-Wert1*1  ,-Hoehe*2, Count1+Wert1>, Staerke, 1 texture { P1 } }
// sphere { < 0        ,-Hoehe*2, Count1+Wert1>, Staerke, 1 texture { P3 } }
   sphere { < Wert1*1  ,-Hoehe*2, Count1+Wert1>, Staerke, 1 texture { P2 } }
   sphere { < Wert1*2  ,-Hoehe*2, Count1+Wert1>, Staerke, 1 texture { P1 } }

   sphere { <-Wert1*.5 , Hoehe*3, Count1+Wert1>, Staerke, 1 texture { P2 } }
   sphere { < Wert1*.5 , Hoehe*3, Count1+Wert1>, Staerke, 1 texture { P1 } }

   sphere { <-Wert1*.5 ,-Hoehe*3, Count1+Wert1>, Staerke, 1 texture { P2 } }
   sphere { < Wert1*.5 ,-Hoehe*3, Count1+Wert1>, Staerke, 1 texture { P1 } }

#declare Count1 = Count1+(Wert1*2);
#end

rotate y*8 rotate x*2 }

