// Persistence of Vision Ray Tracer Scene Description File
// File: blob7.pov
// Vers: 3.1
// Auth: Porrey

global_settings { assumed_gamma 2.2 }
#default { pigment { color rgb 1 } finish { ambient .4 diffuse .6 phong 1 } }

#include "colors.inc"
#include "textures.inc"
#include "shapes.inc"
#include "rp.inc" // rp2.inc = Bestandteil von rp.inc 
#include "golds.inc"
#include "metals.inc"

camera {location  < 0.0 , 0.0 ,-1.8 >
	direction < 0.0 , 0.0 , 1.0 >
	up        < 0.0 , 1.0 , 0.0 >
	right     < 4/3 , 0.0 , 0.0 >
	look_at   < 0.0 , 0.0 , 0.0 > }

light_source	{ < 0,0,0 > Weiss }
light_source	{ <-1,0,-1 > Rot*.5 }
light_source	{ < 1,0,-1 > Gruen*.5 }

#declare Blobb =
blob { threshold 0.8
//========= z 0
	component 1 , 0.67, <-0.4,-0.4, 0.0>
	component 1 , 0.67, < 0.4,-0.4, 0.0>
	component 1 , 0.67, <-0.4, 0.4, 0.0>
	component 1 , 0.67, < 0.4, 0.4, 0.0>

	component 1 , 0.67, <-1.2,-0.4, 0.0> //l
	component 1 , 0.67, <-1.2, 0.4, 0.0>

	component 1 , 0.67, <-0.4, 1.2, 0.0> //o
	component 1 , 0.67, < 0.4, 1.2, 0.0>

	component 1 , 0.67, < 1.2,-0.4, 0.0> //r
	component 1 , 0.67, < 1.2, 0.4, 0.0>

	component 1 , 0.67, <-0.4,-1.2, 0.0> //u
	component 1 , 0.67, < 0.4,-1.2, 0.0>

	component 1 , 0.67, <-1.2, 1.2, 0.0> //lo
	component 1 , 0.67, < 1.2, 1.2, 0.0> //ro
	component 1 , 0.67, < 1.2,-1.2, 0.0> //ru
	component 1 , 0.67, <-1.2,-1.2, 0.0> //lu

//========= z 1
	component 1 , 0.67, <-0.4,-0.4, 0.8>
	component 1 , 0.67, < 0.4,-0.4, 0.8>
	component 1 , 0.67, <-0.4, 0.4, 0.8>
	component 1 , 0.67, < 0.4, 0.4, 0.8>

	component 1 , 0.67, <-1.2,-0.4, 0.8> //l
	component 1 , 0.67, <-1.2, 0.4, 0.8>

	component 1 , 0.67, <-0.4, 1.2, 0.8> //o
	component 1 , 0.67, < 0.4, 1.2, 0.8>

	component 1 , 0.67, < 1.2,-0.4, 0.8> //r
	component 1 , 0.67, < 1.2, 0.4, 0.8>

	component 1 , 0.67, <-0.4,-1.2, 0.8> //u
	component 1 , 0.67, < 0.4,-1.2, 0.8>

	component 1 , 0.67, <-1.2, 1.2, 0.8> //lo
	component 1 , 0.67, < 1.2, 1.2, 0.8> //ro
	component 1 , 0.67, < 1.2,-1.2, 0.8> //ru
	component 1 , 0.67, <-1.2,-1.2, 0.8> //lu

//========= z -1
	component 1 , 0.67, <-0.4,-0.4, -0.8>
	component 1 , 0.67, < 0.4,-0.4, -0.8>
	component 1 , 0.67, <-0.4, 0.4, -0.8>
	component 1 , 0.67, < 0.4, 0.4, -0.8>

	component 1 , 0.67, <-1.2,-0.4, -0.8> //l
	component 1 , 0.67, <-1.2, 0.4, -0.8>

	component 1 , 0.67, <-0.4, 1.2, -0.8> //o
	component 1 , 0.67, < 0.4, 1.2, -0.8>

	component 1 , 0.67, < 1.2,-0.4, -0.8> //r
	component 1 , 0.67, < 1.2, 0.4, -0.8>

	component 1 , 0.67, <-0.4,-1.2, -0.8> //u
	component 1 , 0.67, < 0.4,-1.2, -0.8>

	component 1 , 0.67, <-1.2, 1.2, -0.8> //lo
	component 1 , 0.67, < 1.2, 1.2, -0.8> //ro
	component 1 , 0.67, < 1.2,-1.2, -0.8> //ru
	component 1 , 0.67, <-1.2,-1.2, -0.8> //lu

//========= z 2
	component 1 , 0.67, <-0.4,-0.4, 1.6>
	component 1 , 0.67, < 0.4,-0.4, 1.6>
	component 1 , 0.67, <-0.4, 0.4, 1.6>
	component 1 , 0.67, < 0.4, 0.4, 1.6>

	component 1 , 0.67, <-1.2,-0.4, 1.6> //l
	component 1 , 0.67, <-1.2, 0.4, 1.6>

	component 1 , 0.67, <-0.4, 1.2, 1.6> //o
	component 1 , 0.67, < 0.4, 1.2, 1.6>

	component 1 , 0.67, < 1.2,-0.4, 1.6> //r
	component 1 , 0.67, < 1.2, 0.4, 1.6>

	component 1 , 0.67, <-0.4,-1.2, 1.6> //u
	component 1 , 0.67, < 0.4,-1.2, 1.6>

	component 1 , 0.67, <-1.2, 1.2, 1.6> //lo
	component 1 , 0.67, < 1.2, 1.2, 1.6> //ro
	component 1 , 0.67, < 1.2,-1.2, 1.6> //ru
	component 1 , 0.67, <-1.2,-1.2, 1.6> //lu

//========= z -2
	component 1 , 0.67, <-0.4,-0.4, -1.6>
	component 1 , 0.67, < 0.4,-0.4, -1.6>
	component 1 , 0.67, <-0.4, 0.4, -1.6>
	component 1 , 0.67, < 0.4, 0.4, -1.6>

	component 1 , 0.67, <-1.2,-0.4, -1.6> //l
	component 1 , 0.67, <-1.2, 0.4, -1.6>

	component 1 , 0.67, <-0.4, 1.2, -1.6> //o
	component 1 , 0.67, < 0.4, 1.2, -1.6>

	component 1 , 0.67, < 1.2,-0.4, -1.6> //r
	component 1 , 0.67, < 1.2, 0.4, -1.6>

	component 1 , 0.67, <-0.4,-1.2, -1.6> //u
	component 1 , 0.67, < 0.4,-1.2, -1.6>

	component 1 , 0.67, <-1.2, 1.2, -1.6> //lo
	component 1 , 0.67, < 1.2, 1.2, -1.6> //ro
	component 1 , 0.67, < 1.2,-1.2, -1.6> //ru
	component 1 , 0.67, <-1.2,-1.2, -1.6> //lu

}

object { Blobb texture { T_Gold_3C } translate x*-.2 rotate x*-45 }

object { Blobb texture { T_Silver_3C } translate x*.2 rotate x*45 } 
