// Persistence of Vision Ray Tracer Scene Description File
// File: blob8.pov
// Vers: 3.1
// Auth: Porrey

global_settings { assumed_gamma 2.2 }
#default { pigment { color rgb 1 } finish { ambient .4 diffuse .6 phong 1 } }

#include "colors.inc"
#include "textures.inc"
#include "shapes.inc"
#include "rp.inc" // "rp2.inc" = Bestandteil von rp.inc
#include "skies.inc"
#include "golds.inc" 
#include "metals.inc"

camera { location < 0.30,-0.30,-.1 >
         direction z up y right x*4/3
         look_at  < 0.28,-0.28, 0.0 > }

sky_sphere { S_Cloud4 }

light_source	{ < 0, 0, 20 > Rot }
light_source	{ < 0, 0,-3 > Weiss }
 
#local Staerke = .67;
#local Wert = .84; // Entfernung (x+z) bei threshold 0.6

#local Blobb1 = blob { threshold 0.6 

#local Count1 = -1200;
#while (Count1 <= 1200) 

 sphere { 0, Staerke, 1
 translate < Wert, 0, (Wert/3)*Count1>
// translate < Wert, 0, (Wert/6)*Count1>
 rotate z*Count1*60 }

#local Count1 = Count1+1;
#end }

#local Blobb2 = blob { threshold 0.6 

#local Count1 = -1200;
#while (Count1 <= 1200) 

 sphere { 0, Staerke, 1
 translate < Wert, 0, (Wert/3)*Count1> 
// translate < Wert, 0, (Wert/6)*Count1>
 rotate z*Count1*60 }

#local Count1 = Count1+1;
#end }

#local RP_1 = color_map {
    [0.0 rgb <0.5, 0.5, 0.9>]
    [0.8 rgb <0.0, 0.0, 0.5>]
    [0.8 rgb <0.5, 0.5, 0.9>]
    [1.0 rgb <0.0, 0.0, 0.5>] }

#local RP_2 = color_map {
    [0.0 rgb <0.9, 0.9, 0.5>]
    [0.8 rgb <0.5, 0.5, 0.0>]
    [0.8 rgb <0.9, 0.9, 0.5>]
    [1.0 rgb <0.5, 0.5, 0.0>] }
    
#local P_RP_1 = texture { pigment {
  marble turbulence 1.8 color_map { RP_1 } scale .5 } finish { phong 1 reflection .5 } }
#local P_RP_2 = texture { pigment {
  marble turbulence 1.8 color_map { RP_2 } scale .5 } finish { phong 1 reflection .5 } }

object { Blobb1
texture { P_RP_1 }
}

object { Blobb2
texture { P_RP_2 }
translate z*(Wert/3)*3
//translate z*(Wert/6)*3
rotate z*-30}

rainbow { angle 33	// Gre
 width 2		// Breite
 distance 1.0e7		// Entfernung
 direction <-0.5,0,1>	// normal z
 jitter 0.0		// Streuung
 arc_angle 70		// sichtbarer Winkel
 falloff_angle .1	// "soften" der Enden (kleiner als arc_angle!)
 color_map { Rainbow_2 } }